Support » Plugin: Multiple Columns for Gravity Forms » REST api error using Gutenberg

  • Resolved attilaacs

    (@attilaacs)


    Hi there.

    I’ve been having some minor issues with the plugin:

    I have narrowed down the issue to Multiple Columns for Gravity Forms by using a fresh installation of WordPress with only Gravity Forms and Multiple Columns for Gravity Forms active:

    When editing a page in Gutenberg and it tries to auto-save (or in some cases simply when you wait a couple of seconds), the following console error shows up:
    Uncaught (in promise) SyntaxError: Unexpected token < in JSON at position 0 data.min.js?ver=4.1.0:1

    looking into the Network tab, I can see in the XHR tab:
    autosaves?_locale=user
    returns:
    <style>ul { padding-left: 0px !important; } .gform_fields.top_label.form_sublabel_below ETC ETC instead of the expected JSON.

    That text is on line 278 of class-gf-multicolumn.php

    hope this is helpful to try and reproduce the issue. If you need more information, please let me know.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author WebHolism

    (@webholism)

    Hi attilaacs,

    Thank you for using the plugin.

    We really appreciate the detailed description of the problem that you have encountered, including the console errors.

    We will have a look at reproducing and resolving the issue, and will update you as soon as we have an update on the situation.

    Thank you.

    Kind regards.

    Plugin Author WebHolism

    (@webholism)

    Hi attilaacs,

    Would you be able to confirm if you are using the Gravity Forms Gutenberg Add-On plugin (available from the Gravity Forms site), entering a shortcode, or using some other method of inserting a form into a page? I am just looking to reproduce the issue on my own test site.

    Many thanks for your time.

    Kind regards.

    Hi
    I was using the shortcode (using the shortcode block or using the HTML block both seem to cause it)
    Thanks
    Attila

    Plugin Author WebHolism

    (@webholism)

    Hi attilaacs,

    We have made some amendments to the plugin. Would you be in a position to receive an updated version to test on a development system, to see if it resolves the issue?

    If you are in a position to assist, please can you send an email to hello@webholism.com?

    We appreciate your time.

    Kind regards.

    Hi
    I have just sent you an email. Looking forward to testing it out

    Thank you
    Attila

    Plugin Author WebHolism

    (@webholism)

    Hi attilaacs,

    Many thanks for testing the plugin and providing feedback, it is greatly appreciated.

    The latest version of the plugin, 3.0.3 has been released, and should be available as an update.

    Please do not hesitate to let us know if you experience any issues with the new version.

    Kind regards.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘REST api error using Gutenberg’ is closed to new replies.